<?xml version="1.0"?>
<!DOCTYPE service_bundle SYSTEM "/usr/share/lib/xml/dtd/service_bundle.dtd.1">
<!-- JSCAPE MFT Gateway Manifest -->

<service_bundle type='manifest' name='mftgateway'>
<service
        name='application/mftgateway'
        type='service'
        version='1'>

        <create_default_instance enabled='true'/>
        <single_instance/>

        <dependency name='config-file'
                    grouping='require_all'
                    restart_on='none'
                    type='path'>
                <service_fmri value='file:///opt/JSCAPE_MFT_Gateway/gateway'/>
        </dependency>

        <dependency name='loopback'
                    grouping='require_all'
                    restart_on='error'
                    type='service'>
                <service_fmri value='svc:/network/loopback:default'/>
        </dependency>

        <dependency name='physical'
                    grouping='require_all'
                    restart_on='error'
                    type='service'>
                <service_fmri value='svc:/network/physical:default'/>
        </dependency>

        <dependency name='fs-local'
                    grouping='require_all'
                    restart_on='none'
                    type='service'>
                <service_fmri value='svc:/system/filesystem/local'/>
        </dependency>

        <exec_method
                type='method'
                name='start'
                exec='/opt/JSCAPE_MFT_Gateway/gateway start'
                timeout_seconds='60'>
                <method_context>
                    <method_credential user='mftgateway' group='mftgateway' privileges='basic,net_privaddr'/>
                </method_context>
        </exec_method>

        <exec_method
                type='method'
                name='stop'
                exec='/opt/JSCAPE_MFT_Gateway/gateway stop'
                timeout_seconds='60'>
                <method_context>
                    <method_credential user='mftgateway' group='mftgateway' />
                </method_context>
        </exec_method>

        <stability value='Unstable' />
</service>
</service_bundle>